Reactor Dependency Convergence

Legend:
[Error]
At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 5
Number of dependencies (NOD): 278
Number of unique artifacts (NOA): 330
Number of version-conflicting artifacts (NOC): 22
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA):
[Error]
 84 %
Ready for release (100% convergence and no SNAPSHOTS):
[Error]
 Error
You do not have 100% convergence.

Dependencies used in modules

com.esotericsoftware.kryo:kryo

[Error]
2.21
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.apache.flink:flink-streaming-java:jar:1.16.0:provided
       \- org.apache.flink:flink-java:jar:1.16.0:provided
          \- com.twitter:chill-java:jar:0.7.6:provided
             \- (com.esotericsoftware.kryo:kryo:jar:2.21:provided - omitted for conflict with 2.24.0)

2.24.0
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    +- org.apache.flink:flink-core:jar:1.16.0:provided
    |  \- com.esotericsoftware.kryo:kryo:jar:2.24.0:provided
    \- org.apache.flink:flink-test-utils:jar:1.16.0:test
       \- org.apache.flink:flink-core:test-jar:tests:1.16.0:test
          \- (com.esotericsoftware.kryo:kryo:jar:2.24.0:test - omitted for duplicate)

com.fasterxml.jackson.core:jackson-annotations

[Error]
2.10.0
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          +- org.apache.spark:spark-kvstore_2.12:jar:3.1.2:provided
          |  \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.10.0:provided - omitted for conflict with 2.11.1)
          +- org.apache.spark:spark-network-common_2.12:jar:3.1.2:provided
          |  \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.10.0:provided - omitted for conflict with 2.11.1)
          \- com.fasterxml.jackson.module:jackson-module-scala_2.12:jar:2.10.0:provided
             \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.10.0:provided - omitted for conflict with 2.11.1)

2.10.3
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.apache.flink:flink-test-utils:jar:1.16.0:test
       \- org.apache.flink:flink-test-utils-junit:jar:1.16.0:test
          \- org.testcontainers:testcontainers:jar:1.17.2:test
             \- com.github.docker-java:docker-java-api:jar:3.2.13:test
                \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.10.3:test - omitted for conflict with 2.11.1)

2.11.0
  1. org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT
    \- com.github.tomakehurst:wiremock:jar:2.27.1:test
       \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.11.0:test - omitted for conflict with 2.11.1)

2.11.1
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- com.fasterxml.jackson.core:jackson-databind:jar:2.11.1:compile
       \- com.fasterxml.jackson.core:jackson-annotations:jar:2.11.1:compile

  2. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- com.fasterxml.jackson.core:jackson-databind:jar:2.11.1:compile
       \- com.fasterxml.jackson.core:jackson-annotations:jar:2.11.1:compile

  3. org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT
    \- com.fasterxml.jackson.core:jackson-databind:jar:2.11.1:compile
       \- com.fasterxml.jackson.core:jackson-annotations:jar:2.11.1:compile

2.9.0
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.0:provided
                \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.0:provided
                   \- com.fasterxml.jackson.module:jackson-module-jaxb-annotations:jar:2.9.5:provided
                      \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.9.0:provided - omitted for conflict with 2.11.1)

2.9.5
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             +- org.apache.hadoop:hadoop-hdfs-client:jar:3.2.0:provided
             |  \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.9.5:provided - omitted for conflict with 2.11.1)
             \- org.apache.hadoop:hadoop-yarn-api:jar:3.2.0:provided
                \- (com.fasterxml.jackson.core:jackson-annotations:jar:2.9.5:provided - omitted for conflict with 2.11.1)

com.google.errorprone:error_prone_annotations

[Error]
2.10.0
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT:compile
       \- com.github.ben-manes.caffeine:caffeine:jar:2.9.3:compile
          \- (com.google.errorprone:error_prone_annotations:jar:2.10.0:compile - omitted for conflict with 2.3.2)

  2. org.wikimedia:eventutilities-shaded:jar:1.3.5-SNAPSHOT
    \- org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT:compile
       \- com.github.ben-manes.caffeine:caffeine:jar:2.9.3:compile
          \- (com.google.errorprone:error_prone_annotations:jar:2.10.0:compile - omitted for conflict with 2.3.2)

  3. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT:compile
       \- com.github.ben-manes.caffeine:caffeine:jar:2.9.3:compile
          \- com.google.errorprone:error_prone_annotations:jar:2.10.0:compile

  4. org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT
    \- com.github.ben-manes.caffeine:caffeine:jar:2.9.3:compile
       \- com.google.errorprone:error_prone_annotations:jar:2.10.0:compile

2.3.2
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- com.google.guava:guava:jar:28.1-jre:compile
       \- com.google.errorprone:error_prone_annotations:jar:2.3.2:compile

  2. org.wikimedia:eventutilities-shaded:jar:1.3.5-SNAPSHOT
    \- com.google.guava:guava:jar:28.1-jre:compile
       \- com.google.errorprone:error_prone_annotations:jar:2.3.2:compile

  3. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT:compile
       \- com.google.guava:guava:jar:28.1-jre:compile
          \- (com.google.errorprone:error_prone_annotations:jar:2.3.2:compile - omitted for conflict with 2.10.0)

  4. org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT
    \- com.google.guava:guava:jar:28.1-jre:compile
       \- (com.google.errorprone:error_prone_annotations:jar:2.3.2:compile - omitted for conflict with 2.10.0)

com.nimbusds:nimbus-jose-jwt

[Error]
3.10
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             \- org.apache.hadoop:hadoop-common:jar:3.2.0:provided
                \- org.apache.kerby:kerb-simplekdc:jar:1.0.1:provided
                   \- org.apache.kerby:kerb-client:jar:1.0.1:provided
                      \- org.apache.kerby:token-provider:jar:1.0.1:provided
                         \- (com.nimbusds:nimbus-jose-jwt:jar:3.10:provided - omitted for conflict with 4.41.1)

4.41.1
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             \- org.apache.hadoop:hadoop-common:jar:3.2.0:provided
                \- org.apache.hadoop:hadoop-auth:jar:3.2.0:provided
                   \- com.nimbusds:nimbus-jose-jwt:jar:4.41.1:provided

com.thoughtworks.paranamer:paranamer

[Error]
2.7
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.avro:avro:jar:1.8.2:provided
             \- (com.thoughtworks.paranamer:paranamer:jar:2.7:provided - omitted for conflict with 2.8)

2.8
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          +- com.thoughtworks.paranamer:paranamer:jar:2.8:provided
          +- org.json4s:json4s-jackson_2.12:jar:3.7.0-M5:provided
          |  \- org.json4s:json4s-core_2.12:jar:3.7.0-M5:provided
          |     \- (com.thoughtworks.paranamer:paranamer:jar:2.8:provided - omitted for duplicate)
          \- com.fasterxml.jackson.module:jackson-module-scala_2.12:jar:2.10.0:provided
             \- com.fasterxml.jackson.module:jackson-module-paranamer:jar:2.10.0:provided
                \- (com.thoughtworks.paranamer:paranamer:jar:2.8:provided - omitted for duplicate)

commons-codec:commons-codec

[Error]
1.10
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    +- org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT:compile
    |  \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile
    |     \- commons-codec:commons-codec:jar:1.10:compile
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       +- (commons-codec:commons-codec:jar:1.10:compile - scope updated from provided; omitted for duplicate)
       \- org.apache.arrow:arrow-vector:jar:2.0.0:provided
          \- (commons-codec:commons-codec:jar:1.10:provided - omitted for duplicate)

1.11
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             +- org.apache.hadoop:hadoop-common:jar:3.2.0:provided
             |  +- (commons-codec:commons-codec:jar:1.11:provided - omitted for duplicate)
             |  \- org.apache.hadoop:hadoop-auth:jar:3.2.0:provided
             |     \- (commons-codec:commons-codec:jar:1.11:provided - omitted for duplicate)
             \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.0:provided
                \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.0:provided
                   \- (commons-codec:commons-codec:jar:1.11:provided - omitted for duplicate)

1.9
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:provided
             \- (commons-codec:commons-codec:jar:1.9:provided - omitted for conflict with 1.10)

commons-net:commons-net

[Error]
3.1
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- commons-net:commons-net:jar:3.1:provided

3.6
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             \- org.apache.hadoop:hadoop-common:jar:3.2.0:provided
                \- (commons-net:commons-net:jar:3.6:provided - omitted for conflict with 3.1)

net.bytebuddy:byte-buddy

[Error]
1.12.10
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.assertj:assertj-core:jar:3.23.1:test
       \- net.bytebuddy:byte-buddy:jar:1.12.10:test

1.12.19
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.mockito:mockito-junit-jupiter:jar:4.11.0:test
       \- org.mockito:mockito-core:jar:4.11.0:test
          \- (net.bytebuddy:byte-buddy:jar:1.12.19:test - omitted for conflict with 1.12.10)

net.sf.jopt-simple:jopt-simple

[Error]
5.0.3
  1. org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT
    \- com.github.tomakehurst:wiremock:jar:2.27.1:test
       \- (net.sf.jopt-simple:jopt-simple:jar:5.0.3:test - omitted for conflict with 5.0.4)

5.0.4
  1. org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT
    \- com.github.java-json-tools:json-schema-validator:jar:2.2.14:compile
       \- net.sf.jopt-simple:jopt-simple:jar:5.0.4:compile

org.apache.avro:avro

[Error]
1.7.7
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             \- org.apache.hadoop:hadoop-common:jar:3.2.0:provided
                \- (org.apache.avro:avro:jar:1.7.7:provided - omitted for conflict with 1.8.2)

1.8.2
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          +- org.apache.avro:avro:jar:1.8.2:provided
          \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:provided
             \- org.apache.avro:avro-ipc:jar:1.8.2:provided
                \- (org.apache.avro:avro:jar:1.8.2:provided - omitted for duplicate)

org.apache.commons:commons-compress

[Error]
1.4.1
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             +- org.apache.hadoop:hadoop-common:jar:3.2.0:provided
             |  \- (org.apache.commons:commons-compress:jar:1.4.1:provided - omitted for conflict with 1.8.1)
             \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.0:provided
                \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.0:provided
                   \- (org.apache.commons:commons-compress:jar:1.4.1:provided - omitted for conflict with 1.8.1)

1.8.1
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.avro:avro:jar:1.8.2:provided
             \- org.apache.commons:commons-compress:jar:1.8.1:provided

org.apache.commons:commons-lang3

[Error]
3.1
  1. org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT
    \- com.github.tomakehurst:wiremock:jar:2.27.1:test
       \- com.github.jknack:handlebars:jar:4.0.7:test
          \- (org.apache.commons:commons-lang3:jar:3.1:test - omitted for conflict with 3.7)

3.10
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          +- org.apache.spark:spark-network-common_2.12:jar:3.1.2:provided
          |  \- (org.apache.commons:commons-lang3:jar:3.10:provided - omitted for duplicate)
          \- org.apache.commons:commons-lang3:jar:3.10:provided

3.7
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             \- org.apache.hadoop:hadoop-common:jar:3.2.0:provided
                \- (org.apache.commons:commons-lang3:jar:3.7:provided - omitted for conflict with 3.10)

  2. org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT
    \- com.github.tomakehurst:wiremock:jar:2.27.1:test
       \- org.apache.commons:commons-lang3:jar:3.7:test

org.apache.commons:commons-math3

[Error]
3.1.1
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             \- org.apache.hadoop:hadoop-common:jar:3.2.0:provided
                \- (org.apache.commons:commons-math3:jar:3.1.1:provided - omitted for conflict with 3.4.1)

3.4.1
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.commons:commons-math3:jar:3.4.1:provided

org.apache.commons:commons-text

[Error]
1.4
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             \- org.apache.hadoop:hadoop-common:jar:3.2.0:provided
                \- (org.apache.commons:commons-text:jar:1.4:provided - omitted for conflict with 1.6)

1.6
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.commons:commons-text:jar:1.6:provided

org.apache.curator:curator-recipes

[Error]
2.12.0
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.hadoop:hadoop-client:jar:3.2.0:provided
             \- org.apache.hadoop:hadoop-common:jar:3.2.0:provided
                \- (org.apache.curator:curator-recipes:jar:2.12.0:provided - omitted for conflict with 2.13.0)

2.13.0
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.curator:curator-recipes:jar:2.13.0:provided

org.checkerframework:checker-qual

[Error]
2.8.1
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- com.google.guava:guava:jar:28.1-jre:compile
       \- org.checkerframework:checker-qual:jar:2.8.1:compile

  2. org.wikimedia:eventutilities-shaded:jar:1.3.5-SNAPSHOT
    \- com.google.guava:guava:jar:28.1-jre:compile
       \- org.checkerframework:checker-qual:jar:2.8.1:compile

  3. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT:compile
       \- com.google.guava:guava:jar:28.1-jre:compile
          \- (org.checkerframework:checker-qual:jar:2.8.1:compile - omitted for conflict with 3.19.0)

  4. org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT
    \- com.google.guava:guava:jar:28.1-jre:compile
       \- (org.checkerframework:checker-qual:jar:2.8.1:compile - omitted for conflict with 3.19.0)

3.19.0
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT:compile
       \- com.github.ben-manes.caffeine:caffeine:jar:2.9.3:compile
          \- (org.checkerframework:checker-qual:jar:3.19.0:compile - omitted for conflict with 2.8.1)

  2. org.wikimedia:eventutilities-shaded:jar:1.3.5-SNAPSHOT
    \- org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT:compile
       \- com.github.ben-manes.caffeine:caffeine:jar:2.9.3:compile
          \- (org.checkerframework:checker-qual:jar:3.19.0:compile - omitted for conflict with 2.8.1)

  3. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT:compile
       \- com.github.ben-manes.caffeine:caffeine:jar:2.9.3:compile
          \- org.checkerframework:checker-qual:jar:3.19.0:compile

  4. org.wikimedia:eventutilities:jar:1.3.5-SNAPSHOT
    \- com.github.ben-manes.caffeine:caffeine:jar:2.9.3:compile
       \- org.checkerframework:checker-qual:jar:3.19.0:compile

org.hamcrest:hamcrest-core

[Error]
1.3
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.apache.flink:flink-test-utils:jar:1.16.0:test
       \- org.apache.flink:flink-test-utils-junit:jar:1.16.0:test
          \- org.junit.vintage:junit-vintage-engine:jar:5.8.1:test
             \- junit:junit:jar:4.13.2:test
                \- (org.hamcrest:hamcrest-core:jar:1.3:test - omitted for conflict with 2.2)

2.2
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- net.javacrumbs.json-unit:json-unit-assertj:jar:2.35.0:test
       \- net.javacrumbs.json-unit:json-unit-core:jar:2.35.0:test
          \- org.hamcrest:hamcrest-core:jar:2.2:test

org.jetbrains.kotlin:kotlin-stdlib

[Error]
1.4.0
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- com.launchdarkly:okhttp-eventsource:jar:4.1.0:compile
       \- com.squareup.okhttp3:okhttp:jar:4.9.3:compile
          \- com.squareup.okio:okio:jar:2.8.0:compile
             \- (org.jetbrains.kotlin:kotlin-stdlib:jar:1.4.0:compile - omitted for conflict with 1.4.10)

1.4.10
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- com.launchdarkly:okhttp-eventsource:jar:4.1.0:compile
       \- com.squareup.okhttp3:okhttp:jar:4.9.3:compile
          \- org.jetbrains.kotlin:kotlin-stdlib:jar:1.4.10:compile

org.junit.platform:junit-platform-engine

[Error]
1.8.1
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.apache.flink:flink-test-utils:jar:1.16.0:test
       \- org.apache.flink:flink-test-utils-junit:jar:1.16.0:test
          \- org.junit.vintage:junit-vintage-engine:jar:5.8.1:test
             \- org.junit.platform:junit-platform-engine:jar:1.8.1:test

1.8.2
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.apache.flink:flink-test-utils:jar:1.16.0:test
       \- org.junit.jupiter:junit-jupiter:jar:5.8.1:test
          \- org.junit.jupiter:junit-jupiter-engine:jar:5.8.2:test (version managed from 5.8.1)
             \- (org.junit.platform:junit-platform-engine:jar:1.8.2:test - omitted for conflict with 1.8.1)

org.objenesis:objenesis

[Error]
2.1
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.apache.flink:flink-core:jar:1.16.0:provided
       \- com.esotericsoftware.kryo:kryo:jar:2.24.0:provided
          \- org.objenesis:objenesis:jar:2.1:provided

3.3
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.mockito:mockito-junit-jupiter:jar:4.11.0:test
       \- org.mockito:mockito-core:jar:4.11.0:test
          \- (org.objenesis:objenesis:jar:3.3:test - omitted for conflict with 2.1)

org.slf4j:slf4j-log4j12

[Error]
1.7.25
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.zookeeper:zookeeper:jar:3.4.14:provided
             \- (org.slf4j:slf4j-log4j12:jar:1.7.25:provided - omitted for conflict with 1.7.30)

1.7.30
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.slf4j:slf4j-log4j12:jar:1.7.30:provided

org.xerial.snappy:snappy-java

[Error]
1.1.1.3
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.apache.avro:avro:jar:1.8.2:provided
             \- (org.xerial.snappy:snappy-java:jar:1.1.1.3:provided - omitted for conflict with 1.1.8.2)

1.1.8.2
  1. org.wikimedia:eventutilities-spark:jar:1.3.5-SNAPSHOT
    \- org.apache.spark:spark-catalyst_2.12:jar:3.1.2:provided
       \- org.apache.spark:spark-core_2.12:jar:3.1.2:provided
          \- org.xerial.snappy:snappy-java:jar:1.1.8.2:provided

1.1.8.3
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    +- org.apache.flink:flink-streaming-java:jar:1.16.0:provided
    |  \- org.apache.flink:flink-runtime:jar:1.16.0:provided
    |     \- (org.xerial.snappy:snappy-java:jar:1.1.8.3:provided - omitted for conflict with 1.1.8.4)
    \- org.apache.flink:flink-runtime:test-jar:tests:1.16.0:test
       \- org.xerial.snappy:snappy-java:jar:1.1.8.3:test

1.1.8.4
  1. org.wikimedia:eventutilities-flink:jar:1.3.5-SNAPSHOT
    \- org.apache.flink:flink-connector-kafka:jar:1.16.0:provided
       \- org.apache.kafka:kafka-clients:jar:3.2.3:provided
          \- (org.xerial.snappy:snappy-java:jar:1.1.8.4:provided - omitted for conflict with 1.1.8.3)